Bug 1401913 (CVE-2016-9810) - CVE-2016-9810 gstreamer: Invalid memory read in g_type_check_instance_is_fundamentally_a
Summary: CVE-2016-9810 gstreamer: Invalid memory read in g_type_check_instance_is_fund...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9810
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1401942 1401939 1401940 1401941
Blocks: 1401937 1415638
TreeView+ depends on / blocked
 
Reported: 2016-12-06 11:56 UTC by Adam Mariš
Modified: 2019-09-29 14:01 UTC (History)
13 users (show)

Fixed In Version: gstreamer1-plugins-good 1.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 08:26:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Adam Mariš 2016-12-06 11:56:53 UTC
An invalid memory read in the glib function g_type_check_instance_is_fundamentally_a was found caused by calling unref() on a reference owned by the caller function.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=774897

CVE assignment:

http://seclists.org/oss-sec/2016/q4/589

Comment 2 Adam Mariš 2016-12-06 12:41:10 UTC
Created mingw-gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1401941]

Comment 3 Adam Mariš 2016-12-06 12:41:19 UTC
Created mingw-gstreamer-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1401942]

Comment 4 Adam Mariš 2016-12-06 12:41:27 UTC
Created gstreamer-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1401940]

Comment 5 Adam Mariš 2016-12-06 12:41:35 UTC
Created gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1401939]

Comment 6 errata-xmlrpc 2017-08-01 22:28:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.